#!/bin/sh

# THIS PRODUCT CONTAINS RESTRICTED MATERIALS OF IBM
# 5724-J34, 5655-P28  (C) COPYRIGHT International Business Machines Corp., 2006, 2010
# All Rights Reserved * Licensed Materials - Property of IBM
# US Government Users Restricted Rights - Use, duplication or disclosure
# restricted by GSA ADP Schedule Contract with IBM Corp.

binDir=`dirname $0`
. "$binDir"/setupCmdLine.sh

if [ -f ${JAVA_PATH}/java ]; then
    break
else
    JAVA_PATH=${JAVA_HOME}/bin
fi

# If OBJECTGRID_HOME does not exist then we are installed with WAS.  
# Redirect the OBJECTGRID_HOME to where the console lives.
if [ ${OBJECTGRID_HOME} ]; then
    break
else
    OBJECTGRID_HOME=$binDir/../ObjectGrid
fi

JAVA_HOME=${OBJECTGRID_HOME}/../java
JAVA_EXE="${JAVA_HOME}/jre/bin/java"

FILE=${OBJECTGRID_HOME}/console/.zero/private/resolved.properties

if [ -f $FILE ];
then
rm  "$FILE"
fi

cd $OBJECTGRID_HOME/console
/bin/sh zero setup
if [ $? -ne 0 ]
then
   exit 1
fi

nohup /bin/sh zero run > /dev/null 2>&1 &
/bin/sh zero after_start
